package com.muyu.engine.test.data;

import com.muyu.model.DataModel;
import lombok.extern.log4j.Log4j2;

/**
 * DataModelConstant
 *
 * @author Yangle
 * Date 2024/5/13 15:14
 */
@Log4j2
public class DataModelConstant {
   public static final ThreadLocal<DataModel> dataModelThreadLocal = new ThreadLocal<>();


   public static DataModel getDataModel() {
       log.info("小头");
       return dataModelThreadLocal.get();
   }

   private static void setDataModel(DataModel dataModel) {
       log.info("大头");
       dataModelThreadLocal.set(dataModel);
   }
   private static void removeDataModel() {
       log.info("remove");
       dataModelThreadLocal.remove();
   }
}
