package com.muyu.engine.test;

import com.muyu.engine.Engine;
import com.muyu.engine.test.data.TestDataModel;
import com.muyu.model.DataModel;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * Test
 *
 * @author Yangle
 * Date 2024/5/13 15:19
 */
@SpringBootApplication
public class Test {

public static final Map<String, Engine> map = new ConcurrentHashMap<>();
    static {
     map.put("test",new TestDataModel());
    }
    public static void main(String[] args) {
        DataModel dataModel = new DataModel();
        dataModel.setKey("test");
        dataModel.setValue("s");
        dataModel.setProcessType("String");
        dataModel.setProcessClass(String.class);
        dataModel.setSourceType("varchar");

        Engine test = map.get("test");
        test.execution();



    }


}
